GET Assets/ByLastModifiedDate?assetTypeId={assetTypeId}&beginDate={beginDate}&endDate={endDate}
Retrieves assets for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetTypeId |
Id of the asset type |
globally unique identifier |
None. |
| beginDate |
Beginning last modified date of the assets to retrieve |
date |
None. |
| endDate |
Ending last modified date of the assets to retrieve |
date |
None. |
Body Parameters
None.
Response Information
Resource Description
On success, a list of assets.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Asset |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"AssetId": "995fc6dc-ab9e-4553-8d54-aeaf0d70666f",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "b06548b6-58ac-40f1-8272-68a4d12302da",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "ba90a2e9-4764-4354-adb7-5dc20d8b582f",
"CreateDate": "2026-04-14T09:16:10.7586603-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-04-14T09:16:10.7586603-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "a94d1abd-5718-4e92-9047-58ee4c9de0a3",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-04-14T09:16:10.7586603-07:00",
"MeasurementValueNeededDate": "2026-04-14T09:16:10.7586603-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "0bea9c4c-1908-4411-a771-09a7d37c5bdf",
"CreateDate": "2026-04-14T09:16:10.7586603-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-04-14T09:16:10.7586603-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-04-14T09:16:10.7586603-07:00",
"MeasurementValueNeededDate": "2026-04-14T09:16:10.7586603-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "6996da2e-8812-4363-ac7b-f994512b389e",
"CreateDate": "2026-04-14T09:16:10.7586603-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-04-14T09:16:10.7586603-07:00",
"LastModifiedUser": "sample string 8"
},
{
"AssetId": "995fc6dc-ab9e-4553-8d54-aeaf0d70666f",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "b06548b6-58ac-40f1-8272-68a4d12302da",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "ba90a2e9-4764-4354-adb7-5dc20d8b582f",
"CreateDate": "2026-04-14T09:16:10.7586603-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-04-14T09:16:10.7586603-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "a94d1abd-5718-4e92-9047-58ee4c9de0a3",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-04-14T09:16:10.7586603-07:00",
"MeasurementValueNeededDate": "2026-04-14T09:16:10.7586603-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "0bea9c4c-1908-4411-a771-09a7d37c5bdf",
"CreateDate": "2026-04-14T09:16:10.7586603-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-04-14T09:16:10.7586603-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-04-14T09:16:10.7586603-07:00",
"MeasurementValueNeededDate": "2026-04-14T09:16:10.7586603-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "6996da2e-8812-4363-ac7b-f994512b389e",
"CreateDate": "2026-04-14T09:16:10.7586603-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-04-14T09:16:10.7586603-07:00",
"LastModifiedUser": "sample string 8"
}
],
"Total": 1,
"Message": "sample string 1"
}